Show / Hide Table of Contents

# Class Actor

This class represents a basic FFXIV actor.

##### Inheritance

System.Object
Actor
Chara
EventObj

##### Implements

System.IEquatable<Actor>

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.ClientState.Actors.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class Actor : IEquatable<Actor>

### Constructors

| Improve this Doc View Source

#### Actor(IntPtr, Actor, Dalamud)

Initializes a new instance of the Actor class. This represents a basic FFXIV actor.

##### Declaration

    public Actor(IntPtr address, Actor actorStruct, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | address | The address of this actor in memory.
Actor | actorStruct | The memory representation of the base actor.
Dalamud | dalamud | A dalamud reference needed to access game data in Resolvers.

### Fields

| Improve this Doc View Source

#### Address

Gets the address of this actor in memory.

##### Declaration

    public readonly IntPtr Address

##### Field Value

Type | Description
--- | ---
System.IntPtr |

### Properties

| Improve this Doc View Source

#### ActorId

Gets the actor ID of this Actor.

##### Declaration

    public int ActorId { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Dalamud

Gets the Dalamud backing instance.

##### Declaration

    protected Dalamud Dalamud { get; }

##### Property Value

Type | Description
--- | ---
Dalamud |

| Improve this Doc View Source

#### HitboxRadius

Gets the hitbox radius of this Actor.

##### Declaration

    public float HitboxRadius { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Name

Gets the displayname of this Actor.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ObjectKind

Gets the entity kind of this Actor. See ObjectKind for possible values.

##### Declaration

    public ObjectKind ObjectKind { get; }

##### Property Value

Type | Description
--- | ---
ObjectKind |

| Improve this Doc View Source

#### Position

Gets the position of this Actor.

##### Declaration

    public Position3 Position { get; }

##### Property Value

Type | Description
--- | ---
Position3 |

| Improve this Doc View Source

#### Rotation

Gets the rotation of this Actor. This ranges from -pi to pi radians.

##### Declaration

    public float Rotation { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### StatusEffects

Gets status Effects.

##### Declaration

    public StatusEffect[] StatusEffects { get; }

##### Property Value

Type | Description
--- | ---
StatusEffect[] |

| Improve this Doc View Source

#### TargetActorID

Gets the target of the actor.

##### Declaration

    public virtual int TargetActorID { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### YalmDistanceX

Gets the X distance from the local player in yalms.

##### Declaration

    public byte YalmDistanceX { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### YalmDistanceY

Gets the Y distance from the local player in yalms.

##### Declaration

    public byte YalmDistanceY { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

### Explicit Interface Implementations

| Improve this Doc View Source

#### IEquatable<Actor>.Equals(Actor)

##### Declaration

    bool IEquatable<Actor>.Equals(Actor other)

##### Parameters

Type | Name | Description
--- | --- | ---
Actor | other |

##### Returns

Type | Description
--- | ---
System.Boolean |

### Implements

System.IEquatable<T>